<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\UnidadeMedidaService;

class UnidadeMedidaController extends FMCrud{
    protected $UnidadeMedidaService;
   
    public function __construct($crudService, $environment, UnidadeMedidaService $UnidadeMedidaService) {
        parent::__construct($crudService, $environment);
        $this->UnidadeMedidaService = $UnidadeMedidaService;
    }
    
    public function unidadeMedida(DTO\Request $request, DTO\Response $response) {
        $response->addDataSet(new DataSet('unidadeMedida', $this->UnidadeMedidaService->getUnidadeMedida()));
    }
}

?>