<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class ImgSolicitacaoServFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function insertImgSolicitacaoServ($params) {
        $sql = "INSERT INTO FCM_IMGSOLICITACAOSERV 
            (NRSOLICITACAOSERV, DSCAMINHO, DSTYPE, NRSIZE, NRIMGSOLICITACAOSERV,
            DTINCLUSAO)
            VALUES (:NRSOLICITACAOSERV, :DSCAMINHO, :DSTYPE, :NRSIZE,
            :NRIMGSOLICITACAOSERV, SYSDATE)";
            
        $std = $this->connection->prepare($sql);

        $std->execute($params);
    }
}

?>