<?php

namespace FM\Service;

use FM\Factory\ImgSolicitacaoServFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class ImgSolicitacaoServService {

    protected $ImgSolicitacaoServFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (ImgSolicitacaoServFactory $ImgSolicitacaoServFactory, Environment $Environment, NewCode $newCode) {
        $this->ImgSolicitacaoServFactory = $ImgSolicitacaoServFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function insertImgSolicitacaoServ($params) {
        $nrorg = 20;
        $nrImg = $this->newCode->getCodeByTableName("FCM_IMGSOLICITACAOSERV", $nrorg, 1, 10, true);
        $this->ImgSolicitacaoServFactory($params);
    }
}

?>