<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ImgSolicitacaoServService;

class ImgSolicitacaoServController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $ImgSolicitacaoServService;
   
    public function __construct($crudService, $environment, ImgSolicitacaoServService $ImgSolicitacaoServService) {
        parent::__construct($crudService, $environment);
        $this->ImgSolicitacaoServService = $ImgSolicitacaoServService;
    }
    
    public function(DTO\Request $request, DTO\Response $response) {
        $params = $request->getParameters();
        $this->ImgSolicitacaoServService->insertImgSolicitacaoServ($params);
    }
}

?>